Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-17445

fuse-karaf + jdk11 - javax.xml.ws wrong Import-package version

    XMLWordPrintable

Details

    • Bug
    • Status: Done
    • Blocker
    • Resolution: Done
    • fuse-7.10-GA
    • fuse-7.10-GA
    • Karaf
    • None

    Description

      Import-Package versions of javax.xml.ws and javax.xml.ws.handler.soap does not work with fuse 7.10 + jdk11, during bundle install an exception is thrown:

      BundleException: Unable to resolve org.jboss.qe.cxf.ws.jax-ws-attachment-test [264](R 264.0): missing requirement [org.jboss.qe.cxf.ws.jax-ws-attachment-test [264](R 264.0)] osgi.wiring.package; (&(osgi.wiring.package=javax.xml.ws)(version>=2.4.0)(!(version>=3.0.0))) Unresolved requirements: [[org.jboss.qe.cxf.ws.jax-ws-attachment-test [264](R 264.0)] osgi.wiring.package; (&(osgi.wiring.package=javax.xml.ws)(version>=2.4.0)(!(version>=3.0.0)))]
      

      Attachments

        Activity

          People

            ggrzybek Grzegorz Grzybek
            fmariani@redhat.com Federico Mariani
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: